Summary:	Platform independent hotkey handling for Gtk+ applications
Name:		gtkhotkey
Version:	0.2.1
Release:	3
License:	LGPL v3+
Group:		Libraries
Source0:	https://launchpad.net/gtkhotkey/0.2/0.2.1/+download/%{name}-%{version}.tar.gz
# Source0-md5:	bfdc73e68e9adbe0d506d31a25862914
# see https://bugs.launchpad.net/gtkhotkey/+bug/898334
Patch0:		%{name}-glib.patch
URL:		https://launchpad.net/gtkhotkey
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Platform independent hotkey handling for Gtk+ applications.

%package devel
Summary:	Gtk Hotkey library header files for development
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
Gtk Hotkey library header files for development.

%package static
Summary:	Static Gtk Hotkey library
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static Gtk Hotkey library.

%prep
%setup -q
%patch0 -p1

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%attr(755,root,root) %{_libdir}/libgtkhotkey.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgtkhotkey.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgtkhotkey.so
%{_includedir}/%{name}-1.0
%{_pkgconfigdir}/*.pc
#%{_gtkdocdir}/%{name}

%files static
%defattr(644,root,root,755)
%{_libdir}/libgtkhotkey.a
%changelog
* Sun Nov 03 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gtkhotkey.git;a=log;h=master

* Sun Nov 03 2013 Jan Rękorajski <baggins@pld-linux.org> 9985fb4
- release 3 (by relup.sh)

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 743e025
- release 2 (by relup.sh)

* Sun Aug 18 2013 Jan Palus <jan.palus@gmail.com> 187cb8a
- rel 1

* Tue Sep 11 2012 wrobell <wrobell@pld-linux.org> 0538bb2
- added patch from https://bugs.launchpad.net/gtkhotkey/+bug/898334
- rel. 0.2

* Mon Sep 10 2012 wrobell <wrobell@pld-linux.org> 21dece5
- added missing files

* Mon Sep 10 2012 wrobell <wrobell@pld-linux.org> bdaa144
- created from scratch

